capture log close
set matsize 500
set more off
log using rm4ch2, text replace

***
*** RM4CLDV Ch 2: Continuous Outcomes - using SPost - verified 3/9/01
***

*** Page 19: Table 2.1
use regjob2, clear
summarize job fem phd ment fel art cit

*** Matrix plot
graph job fem phd ment fel art cit, matrix s(.) half
translate @Graph rm4ch2matrix1.wmf, replace
graph job fem phd art, matrix s(.) half
translate @Graph rm4ch2matrix2.wmf, replace

*** Page 20: Table 2.2
regress job fem phd ment fel art cit

*** Table 2.2 - fully standardized coefficients
regress job fem phd ment fel art cit, beta

*** Table 2.2 - standardized coefficients
listcoef, help

*** Computing standardized coefficients the hard way:
* egen sjob = std(job)
* egen sphd = std(phd)
* egen sment = std(ment)
* egen sart = std(art)
* egen scit = std(cit)
* summarize job sjob phd sphd ment sment art sart cit scit
* y-standardized coefficients
* regress sjob fem phd ment fel art cit, beta
* x-standardized coefficients
* regress job fem sphd sment fel sart scit, beta
* fully standardized coefficients
* regress sjob fem sphd sment fel sart scit, beta
log close
